Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 61334 - ifup and ifdown are config files?
Summary: ifup and ifdown are config files?
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: initscripts
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact: Brock Organ
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2002-03-18 01:01 UTC by Chris Ricker
Modified: 2014-03-17 02:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-29 18:19:47 UTC


Attachments (Terms of Use)

Description Chris Ricker 2002-03-18 01:01:30 UTC
I was looking at all the configuration files on the system ($ rpm -qac), and
noticed something weird:

[kaboom@skuld kaboom]$ rpm -qac | grep "^/sbin/if"
/sbin/ifdown
/sbin/ifup
[kaboom@skuld kaboom]$ 

Is there a reason why /sbin/ifup and /sbin/ifdown are flagged in the spec file
as being configuration files?

Comment 1 Bill Nottingham 2002-03-21 03:56:18 UTC
Hm.... not that I recall. Let me see if I can find a reason somewhere.

Comment 2 Jay Turner 2002-03-21 12:52:18 UTC
Still seeing this with initscripts-6.58-1

Comment 3 Chris Ricker 2002-05-05 15:44:03 UTC
Still seeing this with 7.3 gold

Comment 4 Chris Ricker 2002-07-10 02:34:39 UTC
Still true with beta3 milan

Comment 5 Chris Ricker 2003-02-20 05:22:00 UTC
still true w/ beta5 phoebe

Comment 6 Matthias Saou 2006-06-29 12:59:33 UTC
Still true with Fedora Core 5 :-)

Maybe at one point it was considered "normal" to edit the ifup/ifdown scripts,
and they were marked as %config in order to not get changes lost when
initscripts got updated? Bill, if you can't figure why they're marked %config,
maybe you could just go and remove the tag for both, as it doesn't seem to make
much sense.

Comment 7 Bill Nottingham 2006-06-29 18:19:47 UTC
Done in CVS, will be in the next build.


Note You need to log in before you can comment on or make changes to this bug.